## com.saxonica.fsa
Interface State

All Known Implementing Classes:
  AutomatonState, CountingState, DeterminizedState, NonDeterminizedState

    public interface State

A State is a dynamic state of the finite state machine. It may either be a static (non-counting) AutomatonState, or a dynamically-created CountingState, which represents the combination of an AutomatonState and a counter value

Method Summary
`java.util.Iterator` `getEdges()` Get an iterator over all the transitions (edges) allowed from this state
`Edge` `getTransition(int token, NamePool pool)` Find the edge representing the transition from this state to another state, that is triggered by a given input token
`Edge[]` `getWildcardEdges()` Get an iterator over the wildcard transitions (edges) allowed from this state.
`boolean` `isFinalState()`
`java.lang.CharSequence` `listAllowedElements()`

Method Detail

### getTransition

    Edge getTransition(int token,
                       NamePool pool)

  Find the edge representing the transition from this state to another state, that is triggered by a given input token

  Parameters:
    `token` - the input token, specifically the fingerprint of an element name
    `pool` - the Name Pool
  Returns:
    the Edge representing the selected transition of the finite state machine, or null if this token is not accepted when in this State (which implies a validation error).

### isFinalState

    boolean isFinalState()

### listAllowedElements

    java.lang.CharSequence listAllowedElements()

### getWildcardEdges

    Edge[] getWildcardEdges()

  Get an iterator over the wildcard transitions (edges) allowed from this state.

  Returns:
    an Iterator over the edges that represent element wildcards. The objects returned by this Iterator are `Edge` objects.

### getEdges

    java.util.Iterator getEdges()

  Get an iterator over all the transitions (edges) allowed from this state

  Returns:
    an Iterator over all the edges from this state. The objects returned by this Iterator are `Edge` objects.

Copyright (c) Saxonica Limited. All rights reserved.